Package org.snpeff.svg

# Class SvgBnd

java.lang.Object
org.snpeff.svg.Svg
org.snpeff.svg.SvgBnd

public class SvgBnd extends Svg
Create an SVG representation of a BND (translocation) variant In a VCF file, there are four possible translocations (BND) entries: REF ALT Meaning type 1: s t[p[ piece extending to the right of p is joined after t type 2: s t]p] reverse comp piece extending left of p is joined after t type 3: s ]p]t piece extending to the left of p is joined before t type 4: s [p[t reverse comp piece extending right of p is joined before t

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BND_CURL_SIZE`

### Fields inherited from class org.snpeff.svg.Svg

`debug, DEFAULT_BASE_Y, DEFAULT_SIZE_X, DEFAULT_SIZE_Y, LINE_COLOR_STROKE, LINE_STROKE_WIDTH, RECT_COLOR_FILL, RECT_COLOR_STROKE, RECT_HEIGHT, RECT_STROKE_WIDTH, TEXT_SIZE, TEXT_STYLE`

## Constructor Summary

Constructors
Constructor
Description
`SvgBnd(VariantBnd varBnd, Svg svgTr1, Svg svgTr2)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.snpeff.svg.Svg

`close, factory, hline, id, marker, markerId, open, rectangle, rectangle, setBaseY, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### BND_CURL_SIZE

public static final int BND_CURL_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### SvgBnd

public SvgBnd(VariantBnd varBnd, Svg svgTr1, Svg svgTr2)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Svg`